## org.hibernate.sql
Class Insert

    java.lang.Object
      org.hibernate.sql.Insert

Direct Known Subclasses:
  IdentifierGeneratingInsert

    public class Insert

extends Object

An SQL `INSERT` statement

Constructor Summary
`Insert(Dialect dialect)`

Method Summary
`Insert` `addColumn(String columnName)`
`Insert` `addColumn(String columnName, Object value, LiteralType type)`
`Insert` `addColumn(String columnName, String valueExpression)`
`Insert` `addColumns(String[] columnNames)`
`Insert` `addColumns(String[] columnNames, boolean[] insertable)`
`Insert` `addColumns(String[] columnNames, boolean[] insertable, String[] valueExpressions)`
`Insert` `addIdentityColumn(String columnName)`
`protected Dialect` `getDialect()`
`Insert` `setComment(String comment)`
`Insert` `setTableName(String tableName)`
`String` `toStatementString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Insert

    public Insert(Dialect dialect)

Method Detail

### getDialect

    protected Dialect getDialect()

### setComment

    public Insert setComment(String comment)

### addColumn

    public Insert addColumn(String columnName)

### addColumns

    public Insert addColumns(String[] columnNames)

### addColumns

    public Insert addColumns(String[] columnNames,
                             boolean[] insertable)

### addColumns

    public Insert addColumns(String[] columnNames,
                             boolean[] insertable,
                             String[] valueExpressions)

### addColumn

    public Insert addColumn(String columnName,
                            String valueExpression)

### addColumn

    public Insert addColumn(String columnName,
                            Object value,
                            LiteralType type)
                     throws Exception

  Throws:
    `Exception`

### addIdentityColumn

    public Insert addIdentityColumn(String columnName)

### setTableName

    public Insert setTableName(String tableName)

### toStatementString

    public String toStatementString()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.